Bug 1304428 - kernel tainted by OOPS loading batman-adv
kernel tainted by OOPS loading batman-adv
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 10:07 EST by Stuart D Gathman
Modified: 2016-02-25 22:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 22:57:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
initial oops that tains kernel (3.98 KB, text/plain)
2016-02-03 10:09 EST, Stuart D Gathman
no flags Details
batman-adv oopses with kernel-4.3.4-300+debug (147.66 KB, text/plain)
2016-02-03 10:43 EST, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2016-02-03 10:07:03 EST
Description of problem:
Loading batman-adv module gets oops 

Version-Release number of selected component (if applicable):
kernel-4.3.3-303.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1.modprobe batman-adv
2.
3.

Actual results:
kernel oops - but module still seems to work fine.  Kernel is tainted, which interferes with reporting other kernel bugs.

Expected results:
clean load

Additional info:
kernel-4.2.8 does not have the problem
Comment 1 Stuart D Gathman 2016-02-03 10:09 EST
Created attachment 1120808 [details]
initial oops that tains kernel

Sorry, this was on 4.3.3-301.  I'll check 4.3.4 soon.
Comment 2 Josh Boyer 2016-02-03 10:27:15 EST
I reported this upstream.
Comment 3 Stuart D Gathman 2016-02-03 10:43 EST
Created attachment 1120823 [details]
batman-adv oopses with kernel-4.3.4-300+debug
Comment 4 Stuart D Gathman 2016-02-03 13:38:25 EST
Fixed with kernel-4.3.5-300.bz1303270.fc23.x86_64
Comment 5 Josh Boyer 2016-02-04 02:28:20 EST
Hm.  I find that surprising.  So with the single patch added and batman-adv loading, the oops goes away?  If so, that's great news but I'm not sure why it would matter.
Comment 6 Stuart D Gathman 2016-02-04 14:33:56 EST
I haven't tested 4.3.5 without the USB wifi leak patch, so maybe something in 4.3.5 fixed it.  However, maybe the oops is related to the USB wifi leak?  As batman-adv was being used with the USB wifi.

I'll test with 4.3.5-300 (without leak patch) when I get a chance.
Comment 7 Stuart D Gathman 2016-02-25 22:57:37 EST
I'm on 4.4.2 now, and the oops is still gone.  I don't think I'm going to go back to 4.3.5.  Closing with "current release".

Note You need to log in before you can comment on or make changes to this bug.